<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.style24.front.biz.dao.TsfKollusDao">

	<!-- 카테노이드 Kollus 상품동영상 업로드 결과 처리 -->
	<update id="updateGoodsVideo" parameterType="KollusResult">
		/* TsfKollus.updateGoodsVideo */
		UPDATE TB_GOODS_VIDEO
		SET    KMC_KEY = #{media_content_key}
		     , UPD_NO = 0
		     , UPD_DT = NOW()
		WHERE  KUF_KEY = #{upload_file_key}
	</update>
	
	<!-- 카테노이드 Kollus 리뷰동영상 업로드 결과 처리 -->
	<update id="updateReviewVideo" parameterType="KollusResult">
		/* TsfKollus.updateReviewVideo */
		UPDATE TB_REVIEW_ATTACH
		SET    KMC_KEY = #{media_content_key}
		     , UPD_NO = 0
		     , UPD_DT = NOW()
		WHERE  KUF_KEY = #{upload_file_key}
	</update>
	
	<!-- 카테노이드 Kollus 전시동영상 업로드 결과 처리 -->
	<update id="updateDisplayVideoPreview" parameterType="KollusResult">
		/* TsfKollus.updateDisplayVideoPreview */
		UPDATE TB_CONTENTS_PREVIEW
		SET    STR_VAR3 = #{media_content_key}
		     , UPD_NO = 0
		     , UPD_DT = NOW()
		WHERE  STR_VAR1 = 'M' /*MP4*/
		AND    STR_VAR2 = #{upload_file_key}
	</update>
	
	<!-- 카테노이드 Kollus 전시동영상 업로드 결과 처리 -->
	<update id="updateDisplayVideo" parameterType="KollusResult">
		/* TsfKollus.updateDisplayVideo */
		UPDATE TB_CONTENTS
		SET    STR_VAR3 = #{media_content_key}
		     , UPD_NO = 0
		     , UPD_DT = NOW()
		WHERE  STR_VAR1 = 'M' /*MP4*/
		AND    STR_VAR2 = #{upload_file_key}
	</update>
	
	
	<!-- 카테노이드 Kollus 상품 상세 동영상 업로드 결과 처리 -->
	<update id="updateGoodsDescVideo" parameterType="KollusResult">
		/* TsfKollus.updateGoodsDescVideo */
		UPDATE TB_GOODS_CONTENTS
		SET    KMC_KEY = #{media_content_key}
		     , UPD_NO = 0
		     , UPD_DT = NOW()
		WHERE  KUF_KEY = #{upload_file_key}
		AND    GOODS_CONTENTS_TYPE = 'G086_1'
	</update>
	
	
</mapper>